#------ Config for many changes, can be ran as a function by a player ------#

#Short time you have before falling from a wall or a grab (in Ticks) Warning: could result in barriers not being erased
execute unless entity @s[type=player] run scoreboard players set config pb_stilltime 2

#For more challenge, limited time grabbing or wallrunning ? (1-yes, 0-no, default=0)
execute unless entity @s[type=player] unless score config pb_showmess matches 0.. run scoreboard players set config pb_limited 0

#If limited time is active, time you have before letting go (in ticks)
execute unless entity @s[type=player] run scoreboard players set config pb_limittime 60

#Show install and uninstall messages ? (1-yes, 0-no, deault=1)
execute unless entity @s[type=player] unless score config pb_showmess matches 0.. run scoreboard players set config pb_showmess 1


#------ Ingame part ------#

execute if entity @s[type=player] run tellraw @s {"text":"        ~ Config ~        \n","bold":true}

execute if entity @s[type=player] run tellraw @s ["",{"text":"- Time in air after letting go : "},{"score":{"name":"config","objective":"pb_stilltime"},"color":"gray"},{"text":" Ticks"}]

execute if entity @s[type=player] if score config pb_limited matches 0 run tellraw @s ["",{"text":"- Limited grabbing/wallrunning time : "},{"text":"disabled","color":"red"},{"text":" [enable]","color":"gray","clickEvent":{"action":"run_command","value":"/scoreboard players set config pb_limited 1"},"hoverEvent":{"action":"show_text","value":"> click"}}]
execute if entity @s[type=player] if score config pb_limited matches 1 run tellraw @s ["",{"text":"- Limited grabbing/wallrunning time : "},{"text":"enabled","color":"green"},{"text":" [disable]","color":"gray","clickEvent":{"action":"run_command","value":"/scoreboard players set config pb_limited 0"},"hoverEvent":{"action":"show_text","value":"> click"}}]

execute if entity @s[type=player] run tellraw @s ["",{"text":"- If Limited time active, time before letting go : "},{"score":{"name":"config","objective":"pb_limittime"},"color":"gray"},{"text":" Ticks"}]

execute if entity @s[type=player] if score config pb_showmess matches 0 run tellraw @s ["",{"text":"- Show datapack messages : "},{"text":"disabled","color":"red"},{"text":" [enable]","color":"gray","clickEvent":{"action":"run_command","value":"/scoreboard players set config pb_showmess 1"},"hoverEvent":{"action":"show_text","value":"> click"}}]
execute if entity @s[type=player] if score config pb_showmess matches 1 run tellraw @s ["",{"text":"- Show datapack messages : "},{"text":"enabled","color":"green"},{"text":" [disable]","color":"gray","clickEvent":{"action":"run_command","value":"/scoreboard players set config pb_showmess 0"},"hoverEvent":{"action":"show_text","value":"> click"}}]

execute if entity @s[type=player] run tellraw @a ["",{"text":"\n Reload datapack "},{"text":"[here]","color":"green","clickEvent":{"action":"run_command","value":"/reload"},"hoverEvent":{"action":"show_text","value":"> click"}}]
execute if entity @s[type=player] run tellraw @a ["",{"text":" Uninstall datapack "},{"text":"[here]\n","color":"green","clickEvent":{"action":"run_command","value":"/function pb:uninstall"},"hoverEvent":{"action":"show_text","value":"> click"}}]